roffit(1)

NAME
roffit - convert nroff to HTML

SYNOPSIS
roffit [options] < inputfile > outputfile

DESCRIPTION
roffit converts the inputfile to outputfile. The inputfile must be an nroff formatted man page, and the outputfile will be an HTML document.

OPTIONS

--bare
    The output HTML will not include any HTML, HEAD or BODY tags. Also not that when this is selected, there will be no inlined CSS but you will have to define the necessary classes yourself.

--version
    Display version number and exit

--mandir=<dir>
    Set a directory in which roffit will check for other man pages (in nroff [name].[num] format) that this one refers to. If found, a <a href> link will be made to that page with a html extension instead of the number. The file name in the generated link will be prefixed by the dir given with --hrefdir.

    This works for references specified as manpage(3) (within the emhpasis foformatting) and in a plain .BR section (often used in the SEE ALSO section).

--hrefdir=<dir>
    Specify a directory to prefix generated href links created with the --mandir option. This defaults to ".".

CSS CLASSES

h2.nroffsh
    The nroff ".SH" section. These are normally the "headlines" before each sub section within the man page.

p.nroffip
    The nroff ".IP" section. These are normally the bullet kind used to list each option out of several in a list. Usually followed by a p.level0 containining the descriptive text.

p.level0
    Normal text at the first level. Normally not indented.

p.level1
    Text at next logical indent level. Normally indented one level right.

p.level2
    Text at the second logical indent level. Normally indented two levels right.

span.bold
    Text marked to be bold.

span.manpage
    Text marked as a reference to another man page.

span.emphasis
    Text marked to be emphasized.

p.roffit
    Used for the advertising final paragraph.

WWW
http://daniel.haxx.se/projects/roffit